<?

header('Cache-Control: no-store, no-cache, must-revalidate');
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("../inc.php"); 
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("../version.php");

$posts = $row['posts'];
$gposts = $row['gposts'];

$my=$stavka;
$master=mt_rand(1,10);
$myvalent=$stavka+$stavka;
$myzhopa=$posts-$stavka;
$mywin=$posts+$myvalent;
$gmyzhopa=$gposts-$stavka;
$gmywin=$gposts+$myvalent;

ob_start();
if ($ver=="wml"){
print $xml;
print $dtd;
print "<wml>";
print "<card id=\"index\" title=\"Угадай число\">";
print "<p align=\"center\">";
}else{
print "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
print "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
print "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
print "<title>Угадай число</title>";
print "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
print "<div align=\"center\">";
}

switch($mod) {

case 'itog':
if($stavka>10){
print $fsize1;
print "Ставка не должна превышать 10 очков<br/>";
print $fsize2;
}else{
if($my<"$master"){ 
@mysql_query("update users set posts='".$myzhopa."', gposts='".$gmyzhopa."' where id='".$id."'; ");
print $fsize1;
print "Вы загадали: ".$my."<br/>";
print "Мастер загадал: ".$master."<br/>";
print $divide;
print "Вы проиграли<br/>";
print "Ваш проигрыш: ".$stavka." постов<br/>";
print $fsize2;
}
if($my=="$master"){  
@mysql_query("update users set posts='".$mywin."', gposts='".$gmywin."' where id='".$id."'; ");
print $fsize1;
print "Вы загадали: ".$my."<br/>";
print "Мастер загадал: ".$master."<br/>";
print $divide;
print "Вы выиграли<br/>";
print "Ваш выигрыш: ".$myvalent." постов<br/>";
print $fsize2;
}
if($my>"$master"){ 
@mysql_query("update users set posts='".$myzhopa."' , gposts='".$gmyzhopa."' where id='".$id."'; ");
print $fsize1;
print "Вы загадали: ".$my."<br/>";
print "Мастер загадал: ".$master."<br/>";
print $divide;
print "Вы проиграли<br/>";
print "Ваш проигрыш: ".$stavka." постов<br/>";
print $fsize2;
}
}
break;

default:
if($posts<"100"){
print $fsize1;
print "У Вас недостаточно постов для игры!<br/>";
print "Необходимо не менее 100 постов<br/>";
print $fsize2;
}else{
print $fsize1;
print "<b>Угадай число</b><br/>";
print $divide;
print "У Вас постов: <b>".$posts."</b><br/>";
print "Игровой баланс: <b>".$gposts."</b><br/>";
print $divide;
print "Ваша ставка:<br/>";
print "От 1 до 10<br/>";
print $fsize2;
if ($ver=="wml"){
print "<input name=\"stavka\" title=\"stavka\" maxlength=\"10\" format=\"*N\"/><br/>";
print $fsize1;
print "<anchor title=\"go\">Играть<go href=\"ugadaika.php?$ses&amp;ref=$ref&amp;mod=itog\" method=\"post\">";
print "<postfield name=\"stavka\" value=\"$(stavka)\"/>";
print "</go></anchor>";
print $fsize2;
print "<br/>";
}else{
echo "<form method=\"POST\" action=\"ugadaika.php?$ses&amp;ref=$ref&amp;mod=itog\" name=\"stavka\">\n"; 
print "<input name=\"stavka\" title=\"stavka\" maxlength=\"10\"/><br/>";
echo "<input type=\"submit\" value=\"Играть\" name=\"enter\"><br/>\n";
}
}
break;
}
print $fsize1;
print $divide;
if($mod)print "<a href=\"ugadaika.php?$ses&amp;ref=$ref\">Угадай число</a><br/>";
print "<a href=\"../enter.php?$ses&amp;ref=$ref\">Прихожая</a><br/>";
print $fsize2;
if ($ver=="wml") print "</p></card></wml>";
else print "</div></body></html>";
mysql_close($link);
ob_end_flush();
exit;
?>